/*
    Dev-Cpp dreamcast mini Template
    - This project links with Iris (and later with kos)
    - All the includes from the dev-dc.rar (from rawoul)
    are to be placed in cygwin include directory (and if cygwin's
    path is not C:\cygwin modify it in "project properties")

    Produces a .elf atm, have to make a .bin
 */

#include "DCmain.hpp"



int main(void)
{
    // get the context
    IrisContext &c = IrisContext::Get();
    printf("KIKOO iris init\n");
    c.InitContext(1024 * 1024);
    // load Iris Object (must be done after Init)
    // look for paddle
    if (c.GetInputManager().ControllerCount() == 0)
    {
        printf("[ERROR] No controller found\n");
        return (-1);
    }
    printf("KIKOO SMenu creation\n");
    // Game menu function (Object ??)
    SMenu mmenu("main", "/rd/menustart1.png");
    printf("KIKOO SMenu run\n");
    mmenu.run();
    // get the first paddle in mapple bus
    IrisController &p = c.GetInputManager().GetController(0);
    /*
    while (!p.Start())
    {
        // request for update input, normally this automaticaly done in
        // Contex::BeginScene();
        c.GetInputManager().Update();
        printf("Kikoooo\n");
    }
    */
   return 0;
}

